---
title: 第二次作业（题目）
mathjax: true
date: 2020-10-30 10:20:37
tags:
---


# 作业要求

* 纸质作业：把代码写在作业本上，周五（10月23日）上课时提交。
* 上机内容：输入、调试代码。

# P82-6

请编程序将`"China"`译成密码，密码规律是，用原来的字母后面第4个字母代替原来的字母。例如，字母`A`后面第4个字母是`E`，用`E`代替`A`。因此，`"China"`应译为`"Glmre"`。请编一程序，用赋初值的方法使`c1`，`c2`，`c3`，`c4`，`c5`这5个变量的值分别为`'C'`，`'h'`，`'i'`，`'n'`，`'a'`，经过运算，使`c1`，`c2`，`c3`，`c4`，`c5`分别变为`'G'`，`'l'`，`'m'`，`'r'`，`'e'`，分别用`putchar()`函数和`printf()`函数输出这5个字符。

# P82-7

设圆半径 $r = 1.5$ ，圆柱高 $h = 3$ ，求圆周长、圆面积、圆球表面积、圆球体积、圆柱体积，用`scanf()`输入数据，输出计算结果，输出时要求有文字说明，取小数点后2位数字，请编程序。

# P82-8

编程序，用`getchar()`函数读入两个字符给`c1`和`c2`，然后分别用`putchar()`函数和`printf()`函数输出这两个字符。思考以下问题：

1. 变量`c1`和`c2`应定义为字符型、整型还是二者皆可？
2. 要求输出`c1`和`c2`值的ASCII码，应如何处理？用`putchar()`函数还是`printf()`函数？
3. 整型变量与字符变量是否在任何情况下都可以互相代替？如：`char c1, c2;`与`int c1, c2;`是否无条件地等价？

# 温度转换

编程实现华氏温度到摄氏温度的转换。

提示：
$$
\begin{equation*}
T_{\mathrm{\left ({}^{o}C \right )}} = \left ( T_{\mathrm{\left ({}^{o}F \right )}} - 32 \right ) \times \frac{5}{9}
\end{equation*}
$$